function[] = run(T, tau)

m = 201; n = 201;

[FIn] = matgen(m,n);
Img = zeros(m,n);

for i = 1 : 9
    Img = Img + FIn(:,:,i);
end

imagesc(Img); colorbar;

for t = 1 : T
    [FIn, rho, ux, uy] = lattboltz(FIn, tau);
    t
    if mod(t,40) == 0
        figure(1)
        imagesc(rho); colorbar;
        [sx sy] = meshgrid(1:40:m, 1:40:n);
        streamline(ux, uy, sx, sy);
        figure(2)
        imagesc(ux); colorbar;
        streamline(ux, uy, sx, sy);
        figure(3)
        imagesc(uy); colorbar;
        streamline(ux, uy, sx, sy);
        figure(4)
        imagesc(sqrt(ux.^2+uy.^2)); colorbar;
        streamline(ux, uy, sx, sy);
        
%        pause on
%            pause(0.05)
%        pause off
    end
end