function[FIn] = run(T, tau)

m = 101;
n = 101;

[FIn] = matgen(m,n);
Img = zeros(m,n);

for i = 1 : 9
    Img = Img + FIn(:,:,i);
end

imagesc(Img); colorbar;

for t = 1 : T
    [FIn, rho, ux, uy] = lattboltz(FIn, tau);
    figure(1)
    imagesc(rho); colorbar;
    %figure(2)
    %imagesc(ux); colorbar;
    %figure(3)
    %imagesc(uy); colorbar;
    pause on
        pause(0.05)
    pause off
end